Node Iterator API

CloudBees CIVersion: 1.5.1
Tier 2: Compatible
Plugin ID: node-iterator-api
Minimum Jenkins required: 2.60.3
Last released: 11 months, 4 days ago
This plugin provides support for iterating through all the Node instances that are in use by Jenkins, even those Node instances that are not traditionally attached to Jenkins. The API exposed by this plugin can be used by cloud provider plugins to identify unused provisioned resource.
Download Plugin
Node Iterator API 1.5.1
SHA1:
8453826ae525b2097f9f75acd01132f4b6ea1f70
SHA256:
f285250668c8edaef43b9687e90a8f6462f2676a61d0bc39b11f0d41a8dd43e8
Older versions
Maintainers:
  • Adrien Lecharpentier
  • Baptiste Mathus
  • Evaristo Gutierrez
  • Francisco Fernández
  • Ramon Leon
  • rsandell